export const statusHandler = (status, callbackFn) => {
    let message = "";
    let statusType = "";

    if (status >= 200 && status < 300) {
        statusType = "success";
        if (status === 200) {
            message = "Başarılı";
        } else if (status === 201) {
            message = "Başarılı, Oluşturuldu";
        } else if (status === 202) {
            message = "Başarılı, Kabul Edildi"
        }
    } else if (status >= 300 && status < 400) {
        statusType = "warning";
    } else if (status >= 400 && status < 500) {
        statusType = "danger";
        if (status === 403) {
            message = "Yetki Hatası";
        } else if (status === 404) {
            message = "Hata, Sayfa yada Bilgi Bulunamadı"
        } else if (status === 405) {
            message = "Method Hatası"
        } else if (status === 422) {
            message = "Form Hatası"
        }
    } else if (status >= 500 && status < 511) {
        statusType = "danger";
        if (status >= 500) {
            message = "Sunucu Hatası";
        }
    }
    callbackFn(message, statusType);
    return {
        'message': message,
        'statusType': statusType
    }
}